Namespace
library
Image / Tag
swift:6.2.0
Content Digest
sha256:471acf16d3ce9b270d2f15ea177b0e150bdf1595ae2acfcc4932d1a03f43c3fd
Details
Created

2025-09-15 22:15:37 UTC

Size

1.11 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:4b3ffd8ccb5201a0fc03585952effb4ed2d1ea5e704d2e7330212fb8b16c86a3 - 2.5% (28.3 MB)

[#001] sha256:aabaacd4bf0b9f4a46ec1edb35816e955e45710d5d10148ab4a64988940f91ff - 10.97% (124 MB)

[#002] sha256:c0ee3a3c98c6876bd26c08b739d3a0135ebb7efc786d3ddd3d637ecb997f363a - 86.54% (981 MB)

[#003] sha256:998b7d86b81182f4334cb9f2d8dd70aad441e94e710ea69468d129fe0988871c - 0.0% (173 Bytes)


History
2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ADD file:249778a1782b02a1c2bcf9f292f5778d81442a53c3de1958d712f10baf7e0b60 in /

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2-release

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2-RELEASE

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2025-09-15 22:15:37 UTC

Size

1.1 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    24.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2-release

SWIFT_PLATFORM

ubuntu24.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:b8a35db46e38ce87d4e743e1265ff436ed36e01d23246b24a1cbbeaae18ec432 - 2.44% (27.5 MB)

[#001] sha256:ccdcfa73562450457d4c27b390ff88dba247c252cc67a2e3d58c6207f6d479c7 - 10.96% (123 MB)

[#002] sha256:2fa051495599d4b829fbd96c766e281f61fae5a8547bb56439fcef2d5ea03fc0 - 86.6% (976 MB)

[#003] sha256:9200fa4103448ed1a9479645baf895798d6babd6da34a3c793f4aa66b614334c - 0.0% (174 Bytes)


History
2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=24.04

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) ADD file:d77dea5c49828eb0de89439d2b631bc8ea27cb9ef774412b56a060ba1673487b in /

2025-09-15 22:15:37 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-13-dev libpython3-dev libsqlite3-0 libstdc++-13-dev libxml2-dev libncurses-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu24.04

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2-release

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2-RELEASE

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2025-09-15 22:15:37 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu24.04 SWIFT_BRANCH=swift-6.2-release SWIFT_VERSION=swift-6.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete